Eclipse Platform Release 3.7

## org.eclipse.ui.wizards.datatransfer
Class FileStoreStructureProvider

    java.lang.Object
      org.eclipse.ui.wizards.datatransfer.FileStoreStructureProvider

All Implemented Interfaces:
  IImportStructureProvider

    public class FileStoreStructureProvider

extends Object
implements IImportStructureProvider

FileStoreStructureProvider is the structure provider for `IFileStore` based file structures.

Since:
  3.2

Field Summary
`static FileStoreStructureProvider` `INSTANCE` Holds a singleton instance of this class.

Constructor Summary
`FileStoreStructureProvider()`

Method Summary
`List` `getChildren(Object element)` Returns a collection with the children of the specified structured element.
`InputStream` `getContents(Object element)` Returns the contents of the specified structured element, or `null` if there is a problem determining the element's contents.
`String` `getFullPath(Object element)` Returns the full path of the specified structured element.
`String` `getLabel(Object element)` Returns the display label of the specified structured element.
`boolean` `isFolder(Object element)` Returns a boolean indicating whether the passed structured element represents a container element (as opposed to a leaf element).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final FileStoreStructureProvider INSTANCE

  Holds a singleton instance of this class.

Constructor Detail

### FileStoreStructureProvider

    public FileStoreStructureProvider()

Method Detail

### getChildren

    public List getChildren(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns a collection with the children of the specified structured element.

  Specified by:
    `getChildren` in interface `IImportStructureProvider`
  Parameters:
    `element` - the element for which to compute the children
  Returns:
    the list of child elements

### getContents

    public InputStream getContents(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns the contents of the specified structured element, or `null` if there is a problem determining the element's contents.

  Note:: The client is responsible for closing the stream when finished.

  Specified by:
    `getContents` in interface `IImportStructureProvider`
  Parameters:
    `element` - a structured element
  Returns:
    the contents of the structured element, or `null`

### getFullPath

    public String getFullPath(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns the full path of the specified structured element.

  Specified by:
    `getFullPath` in interface `IImportStructureProvider`
  Parameters:
    `element` - a structured element
  Returns:
    the display label of the structured element

### getLabel

    public String getLabel(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns the display label of the specified structured element.

  Specified by:
    `getLabel` in interface `IImportStructureProvider`
  Parameters:
    `element` - a structured element
  Returns:
    the display label of the structured element

### isFolder

    public boolean isFolder(Object element)

  Description copied from interface: `IImportStructureProvider`
  Returns a boolean indicating whether the passed structured element represents a container element (as opposed to a leaf element).

  Specified by:
    `isFolder` in interface `IImportStructureProvider`
  Parameters:
    `element` - java.lang.Object
  Returns:
    boolean

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.